Subject: Re: [PATCH net-next v2] devlink: Implement devlink param multi attribute nested data values

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Jan 2026 17:18:59 -0800

On Mon, 26 Jan 2026 08:09:44 +0530 Ratheesh Kannoth wrote:
> Devlink param value attribute is not defined since devlink is handling
> the value validating and parsing internally, this allows us to implement
> multi attribute values without breaking any policies.
> 
> Devlink param multi-attribute values are considered to be dynamically
> sized arrays of u32 values, by introducing a new devlink param type
> DEVLINK_PARAM_TYPE_U32_ARRAY, driver and user space can set a variable
> count of u32 values into the DEVLINK_ATTR_PARAM_VALUE_DATA attribute.
> 
> Implement get/set parsing and add to the internal value structure passed
> to drivers.
> 
> This is useful for devices that need to configure a list of values for
> a specific configuration.

Could you respin this as a series with the first driver implementing
a param of this type?  We can't merge an API without a user.
-- 
pw-bot: cr